function [ xNew ] = Newton( x0 )
% Sucht Nullstellen mit dem Newton-Verfahren
% und plottet die Funktion sowie die gefundenen Nullstellen

% INPUT
%         x0   -   Startwert
% OUTPUT
%         xNew -   Nullstelle

% Plot der Funktion
x = [-2:0.1:2];
y = evaluateF(x);
plot(x,y,'b');
title('Newton-Verfahren fr die Funktion f(x)=2(x^2-1)^2-1')
xlabel('x-Achse')
ylabel('f(x)')

% x-Achse plotten
hold on;
y = x*0;
plot(x,y,'g');

% Schwellwert bei dem die while-Schleife abgebrochen wird
precision = 1*10^(-6);

% Startwert
xNew = x0;

% while Schleife, die solange xNew neu berechnet bis der Betrag von
% f(xNew)<precision
while abs(evaluateF(xNew))>precision
    xNew = xNew-evaluateF(xNew)/evaluateDF(xNew)
    % gefundene Nullstellen einzeichnen
    hold on;
    plot(xNew,evaluateF(xNew),'*r')
end

end

